package com.tofly.base.exception;

/**
 * 业务逻辑自定义异常
 *
 * @author Zev
 */
public class BusinessException extends RuntimeException{
    /**
     * 异常对应的返回码
     */
    private Integer retCd;
    /**
     * 异常对应的描述信息
     */
    private String msgDes;

    public BusinessException() {
        super();
    }

    public BusinessException(String message) {
        super(message);
        msgDes = message;
    }

    public BusinessException(Integer retCd, String msgDes) {
        super();
        this.retCd = retCd;
        this.msgDes = msgDes;
    }

    public Integer getRetCd() {
        return retCd;
    }

    public String getMsgDes() {
        return msgDes;
    }

}
